- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# List Class Reference

`#include <List.h>`

Inheritance diagram for List:

List of all members.

## Public Member Functions
| List (int lineNumber=-1)
| List (List *list)
| ~List ()
bool | atomic ()
ListItem * | first ()
List * | rest ()
std::string | getString ()
int | getInt ()
double | getDouble ()
std::string | getRestString ()
List * | copy ()
List * | cons (ListItem *first)
List * | snoc (ListItem *last)
void | findAndReplace (std::string find, std::string replace)
bool | empty ()
List * | getList ()
std::string | firstString ()
int | firstInt ()
double | firstDouble ()
List * | firstList ()
## Protected Attributes
ListItem * | _item
List * | _next
int | _lineNumber

## Detailed Description

Definition at line 22 of file List.h.

## Constructor & Destructor Documentation

List::List | ( | int | lineNumber = `-1` | ) |

| Definition at line 9 of file List.cpp. Referenced by cons(), copy(), List(), and snoc().

List::List | ( | List * | list | ) |

| Definition at line 14 of file List.cpp. References _item, _next, ListItem::atomic(), copy(), and List().

List::~List | ( |  | ) |

| Definition at line 52 of file List.cpp. References _item, and _next.

## Member Function Documentation

bool List::atomic | ( |  | ) | `[inline, virtual]`

| Implements ListItem. Definition at line 27 of file List.h.

List * List::cons | ( | ListItem * | first | ) |

| Definition at line 146 of file List.cpp. References _item, _next, first(), and List().

List * List::copy | ( |  | ) |

| Definition at line 38 of file List.cpp. References _item, _lineNumber, ListItem::atomic(), and List(). Referenced by List().

bool List::empty | ( |  | ) | `[inline]`

| Definition at line 45 of file List.h. References _item. Referenced by AnimatedSprite::AnimatedSprite(), findAndReplace(), Game::Game(), getRestString(), getString(), Level::levelSpecsLoad(), Weapon::load(), Menu::load(), CutScene::load(), NewGameMenu::NewGameMenu(), Object::Object(), ShowOneSprite::ShowOneSprite(), snoc(), and CommandManager::startPlaying().

void List::findAndReplace | ( | std::string | find,
|  | std::string | replace
| ) | `[virtual]`

| Implements ListItem. Definition at line 178 of file List.cpp. References _item, empty(), ListItem::findAndReplace(), and rest(). Referenced by EventPoint::findAndReplace().

ListItem * List::first | ( |  | ) |

| Definition at line 136 of file List.cpp. References _item. Referenced by cons(), firstDouble(), firstInt(), firstList(), firstString(), getRestString(), and getString().

double List::firstDouble | ( |  | ) |

| Definition at line 126 of file List.cpp. References first(), and ListItem::getDouble().

int List::firstInt | ( |  | ) |

| Definition at line 121 of file List.cpp. References first(), and ListItem::getInt(). Referenced by AddHealthCommand::AddHealthCommand(), AddScoreCommand::AddScoreCommand(), AimCommand::AimCommand(), FollowPlayerInRangeCommand::FollowPlayerInRangeCommand(), JumpCommand::JumpCommand(), MoveCommand::MoveCommand(), NewGameMenu::NewGameMenu(), RunFromPlayerInRangeCommand::RunFromPlayerInRangeCommand(), SetPositionCommand::SetPositionCommand(), ShootInRangeCommand::ShootInRangeCommand(), and TurnCommand::TurnCommand().

List * List::firstList | ( |  | ) | `[virtual]`

| Implements ListItem. Definition at line 131 of file List.cpp. References first(), and ListItem::getList(). Referenced by AimCommand::AimCommand(), AnimatedSprite::AnimatedSprite(), Game::Game(), Level::levelSpecsLoad(), Weapon::load(), Menu::load(), CutScene::load(), NewGameMenu::NewGameMenu(), Object::Object(), ShowOneSprite::ShowOneSprite(), and CommandManager::startPlaying().

std::string List::firstString | ( |  | ) | `[virtual]`

| Implements ListItem. Definition at line 116 of file List.cpp. References first(), and ListItem::getString(). Referenced by ActivateCutSceneCommand::ActivateCutSceneCommand(), ActivateEnemyCommand::ActivateEnemyCommand(), AddHealthCommand::AddHealthCommand(), AddWeaponCommand::AddWeaponCommand(), AimCommand::AimCommand(), CrouchCommand::CrouchCommand(), CutSceneTextCommand::CutSceneTextCommand(), FollowPlayerCommand::FollowPlayerCommand(), FollowPlayerInRangeCommand::FollowPlayerInRangeCommand(), Game::Game(), InvincibleCommand::InvincibleCommand(), JumpCommand::JumpCommand(), JumpResetCommand::JumpResetCommand(), KillCommand::KillCommand(), LiveCommand::LiveCommand(), Weapon::load(), Command::loadCommand(), Sprite::loadText(), MoveCommand::MoveCommand(), NewGameMenu::NewGameMenu(), PlayMusicCommand::PlayMusicCommand(), PlayScriptCommand::PlayScriptCommand(), PlaySoundCommand::PlaySoundCommand(), RunFromPlayerInRangeCommand::RunFromPlayerInRangeCommand(), SecondaryShootCommand::SecondaryShootCommand(), SetCameraCommand::SetCameraCommand(), SetControlCommand::SetControlCommand(), SetCutSceneCommand::SetCutSceneCommand(), SetDoorLockCommand::SetDoorLockCommand(), SetPositionCommand::SetPositionCommand(), ShootCommand::ShootCommand(), ShootInRangeCommand::ShootInRangeCommand(), CommandManager::startPlaying(), StopPersonCommand::StopPersonCommand(), and TurnCommand::TurnCommand().

double List::getDouble | ( |  | ) | `[virtual]`

| Implements ListItem. Definition at line 79 of file List.cpp. References _lineNumber.

int List::getInt | ( |  | ) | `[virtual]`

| Implements ListItem. Definition at line 73 of file List.cpp. References _lineNumber.

List* List::getList | ( |  | ) | `[inline, virtual]`

| Implements ListItem. Definition at line 47 of file List.h.

std::string List::getRestString | ( |  | ) |

| Definition at line 102 of file List.cpp. References empty(), first(), getRestString(), ListItem::getString(), and rest(). Referenced by getRestString(), and getString().

std::string List::getString | ( |  | ) | `[virtual]`

| Implements ListItem. Definition at line 87 of file List.cpp. References Parser::close, empty(), first(), getRestString(), ListItem::getString(), Parser::open, and rest(). Referenced by TurnCommand::getString(), StopPersonCommand::getString(), ShootInRangeCommand::getString(), ShootCommand::getString(), SetPositionCommand::getString(), SetDoorLockCommand::getString(), SetCutSceneCommand::getString(), SetControlCommand::getString(), SetCameraCommand::getString(), SecondaryShootCommand::getString(), SaveCommand::getString(), RunFromPlayerInRangeCommand::getString(), RestoreCommand::getString(), PlaySoundCommand::getString(), PlayScriptCommand::getString(), PlayMusicCommand::getString(), MoveCommand::getString(), LiveCommand::getString(), KillCommand::getString(), JumpResetCommand::getString(), JumpCommand::getString(), InvincibleCommand::getString(), FollowPlayerInRangeCommand::getString(), FollowPlayerCommand::getString(), FlushCommand::getString(), EndLevelCommand::getString(), CutSceneTextCommand::getString(), CrouchCommand::getString(), AimCommand::getString(), AddWeaponCommand::getString(), AddScoreCommand::getString(), AddHealthCommand::getString(), ActivateEnemyCommand::getString(), and ActivateCutSceneCommand::getString().

List * List::rest | ( |  | ) |

| Definition at line 141 of file List.cpp. References _next. Referenced by ActivateCutSceneCommand::ActivateCutSceneCommand(), ActivateEnemyCommand::ActivateEnemyCommand(), AddHealthCommand::AddHealthCommand(), AddScoreCommand::AddScoreCommand(), AddWeaponCommand::AddWeaponCommand(), AimCommand::AimCommand(), AnimatedSprite::AnimatedSprite(), CrouchCommand::CrouchCommand(), CutSceneTextCommand::CutSceneTextCommand(), findAndReplace(), FollowPlayerCommand::FollowPlayerCommand(), FollowPlayerInRangeCommand::FollowPlayerInRangeCommand(), Game::Game(), getRestString(), getString(), InvincibleCommand::InvincibleCommand(), JumpCommand::JumpCommand(), JumpResetCommand::JumpResetCommand(), KillCommand::KillCommand(), LiveCommand::LiveCommand(), Weapon::load(), Menu::load(), Object::loadObject(), Sprite::loadText(), MoveCommand::MoveCommand(), NewGameMenu::NewGameMenu(), PlayMusicCommand::PlayMusicCommand(), PlayScriptCommand::PlayScriptCommand(), PlaySoundCommand::PlaySoundCommand(), RunFromPlayerInRangeCommand::RunFromPlayerInRangeCommand(), SecondaryShootCommand::SecondaryShootCommand(), SetCameraCommand::SetCameraCommand(), SetControlCommand::SetControlCommand(), SetCutSceneCommand::SetCutSceneCommand(), SetDoorLockCommand::SetDoorLockCommand(), SetPositionCommand::SetPositionCommand(), ShootCommand::ShootCommand(), ShootInRangeCommand::ShootInRangeCommand(), ShowOneSprite::ShowOneSprite(), snoc(), CommandManager::startPlaying(), StopPersonCommand::StopPersonCommand(), and TurnCommand::TurnCommand().

List * List::snoc | ( | ListItem * | last | ) |

| Definition at line 154 of file List.cpp. References _item, _next, empty(), List(), and rest(). Referenced by TurnCommand::getString(), StopPersonCommand::getString(), ShootInRangeCommand::getString(), ShootCommand::getString(), SetPositionCommand::getString(), SetDoorLockCommand::getString(), SetCutSceneCommand::getString(), SetControlCommand::getString(), SetCameraCommand::getString(), SecondaryShootCommand::getString(), SaveCommand::getString(), RunFromPlayerInRangeCommand::getString(), RestoreCommand::getString(), PlaySoundCommand::getString(), PlayScriptCommand::getString(), PlayMusicCommand::getString(), MoveCommand::getString(), LiveCommand::getString(), KillCommand::getString(), JumpResetCommand::getString(), JumpCommand::getString(), InvincibleCommand::getString(), FollowPlayerInRangeCommand::getString(), FollowPlayerCommand::getString(), FlushCommand::getString(), EndLevelCommand::getString(), CutSceneTextCommand::getString(), CrouchCommand::getString(), AimCommand::getString(), AddWeaponCommand::getString(), AddScoreCommand::getString(), AddHealthCommand::getString(), ActivateEnemyCommand::getString(), ActivateCutSceneCommand::getString(), and Parser::parseOpen().

## Member Data Documentation

ListItem* List::_item`[protected]`

| Definition at line 56 of file List.h. Referenced by cons(), copy(), empty(), findAndReplace(), first(), List(), snoc(), and ~List().

int List::_lineNumber`[protected]`

| Definition at line 58 of file List.h. Referenced by copy(), getDouble(), and getInt().

List* List::_next`[protected]`

| Definition at line 57 of file List.h. Referenced by cons(), List(), rest(), snoc(), and ~List().

The documentation for this class was generated from the following files:

- C:/Documents and Settings/jegan/Desktop/projectX/List.h
- C:/Documents and Settings/jegan/Desktop/projectX/List.cpp